### Method

# Fwupd Codec to_string

since: 2.0.0

#### Declaration [src]

    gchar*
    fwupd_codec_to_string (
      FwupdCodec* self
    )

#### Description [src]

Converts an object that implements `FwupdCodec` to a debug string.

Available since: 2.0.0

#### Return value

Type: `gchar*`

A string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.